Skip to main content
Monitoring & Collection/Zaku
GETZakuSince 1.0SynchronousAuth Required

ListGPUCards

List all GPU cards belonging to a specific GPU pool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • poolUuidStringRequired

    UUID of the GPU pool whose cards are to be listed

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • uuidString

      Unique identifier of the GPU card

      Example: gpu-card-001

    • platformIdString

      Platform ID this GPU card belongs to

      Example: plat-001

    • poolUuidString

      UUID of the GPU pool this card belongs to

      Example: pool-gpu-001

    • gpuIndexInteger

      Zero-based GPU device index on the host

      Example: 20

    • gpuModelString

      GPU model name

      Example: NVIDIA A100-SXM4-80GB

    • memoryTotalString

      Total GPU memory in bytes

      Example: 85899345920

    • statusString

      Current status of the GPU card

      Example: Available

    • nodeNameString

      Hostname of the node hosting this GPU card

      Example: k8s-node-01

    • lastSyncAtString

      Timestamp of the last sync for this GPU card

      Example: 2026-01-15T08:00:00Z

  • totalInteger

    Total number of GPU cards in the pool

    Example: 8

  • limitInteger

    Page size used in this response

    Example: 20

  • offsetInteger

    Offset used in this response

    Example: 20

Endpoint

GET/api/v1/gpu-pools/{poolUuid}/gpu-cards

/api/v1/gpu-pools/{poolUuid}/gpu-cards

Operation ID

ListGPUCards

Permalink

Request Example

curl -X GET '{host}/api/v1/gpu-pools/{poolUuid}/gpu-cards' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 8,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history